import type { Component, VNode } from 'vue';
import type { PortableTextBlock, ArbitraryTypedObject, PortableTextSpan, PortableTextMarkDefinition } from '@portabletext/types';
type Serializer = Component | string;
type Children = undefined | VNode | string | Array<VNode | string>;
export interface Serializers {
    /** block components or elements that render non-blocks */
    types?: Record<string, Serializer>;
    /** inline components or elements */
    marks?: Record<string, Serializer>;
    /** block components or elements that wrap blocks instead of `<p>` tags */
    styles?: Record<string, Serializer>;
    listItem?: Serializer;
    container?: Serializer;
}
declare const _default: import("vue").DefineComponent<{
    blocks: {
        type: () => Array<PortableTextBlock>;
        default: () => PortableTextBlock<PortableTextMarkDefinition, ArbitraryTypedObject | PortableTextSpan, string, string>[];
    };
    serializers: {
        type: () => Serializers;
        default: () => Serializers;
    };
}, () => Children[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    blocks: {
        type: () => Array<PortableTextBlock>;
        default: () => PortableTextBlock<PortableTextMarkDefinition, ArbitraryTypedObject | PortableTextSpan, string, string>[];
    };
    serializers: {
        type: () => Serializers;
        default: () => Serializers;
    };
}>>, {
    blocks: PortableTextBlock<PortableTextMarkDefinition, ArbitraryTypedObject | PortableTextSpan, string, string>[];
    serializers: Serializers;
}, {}>;
export default _default;
