import { defineNuxtPlugin, useRuntimeConfig, useSanityVisualEditing, useSanityLiveMode } from "#imports";
import { useSanityVisualEditingState } from "../composables/visual-editing.mjs";
export default defineNuxtPlugin(() => {
  if (!useSanityVisualEditingState().enabled)
    return;
  const $config = useRuntimeConfig();
  const { visualEditing } = $config.public.sanity;
  if (visualEditing?.mode === "live-visual-editing" || visualEditing?.mode === "visual-editing") {
    useSanityVisualEditing({
      refresh: visualEditing?.refresh,
      zIndex: visualEditing?.zIndex
    });
  }
  if (visualEditing?.mode === "live-visual-editing") {
    useSanityLiveMode();
  }
});
